Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.constraintsolver
Class VariablePopulationItem

    java.lang.Object
      |
      +--org.opencyc.constraintsolver.VariablePopulationItem

All Implemented Interfaces:
  java.lang.Comparable

public class VariablePopulationItem
extends java.lang.Object
implements java.lang.Comparable

`VariablePopulationItem` object to model the attributes of constraint variable value population by candidate rules.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

See Also:
  `UnitTest#testRule`

Field Summary
`protected CycVariable` | `cycVariable` The variable whose value domain is to be populated.
`protected ConstraintRule` | `rule` The rule which populates this variable.

Constructor Summary
`VariablePopulationItem(CycVariable cycVariable, ConstraintRule rule)`

Method Summary
`int` | `compareTo(java.lang.Object object)` Compares this object with the specified object for order.
`int` | `getNbrFormulaInstances()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cycVariable

    protected CycVariable cycVariable

  The variable whose value domain is to be populated.

### rule

    protected ConstraintRule rule

  The rule which populates this variable.

Constructor Detail

### VariablePopulationItem

    public VariablePopulationItem(CycVariable cycVariable,
                                  ConstraintRule rule)

Method Detail

### getNbrFormulaInstances

    public int getNbrFormulaInstances()

### compareTo

    public int compareTo(java.lang.Object object)

  Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `object` - the reference object with which to compare.
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD